History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4269,
"created_at": "2016-10-23 15:29:24",
"customer_id": 2682,
"duration": 3074,
"operator_id": 2958,
"operator_ua": "value",
"state": 0,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 8101
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/33 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9383,
"created_at": "2021-11-15 06:53:32",
"customer_id": 5023,
"duration": 7152,
"operator_id": 112,
"operator_ua": "value",
"state": 3,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 1986
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/19,165,439 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9061,
"billsec": 5673,
"call_id": 110,
"calldate": "2022-07-16 07:54:53",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 2,
"dst": "12124537768",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 481,
"info": "value",
"is_root": true,
"live_id": 4089,
"parent_live_id": 3244,
"root_live_id": 5688,
"server_id": 6961,
"sip_endpoint_id": 2568,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 3957
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 2933
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3720,
"billsec": 1768,
"call_id": 3939,
"calldate": "2024-07-06 22:57:03",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 2,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 2019,
"info": "value",
"is_root": true,
"live_id": 3094,
"parent_live_id": 5230,
"root_live_id": 6261,
"server_id": 9667,
"sip_endpoint_id": 7588,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 944
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7665,
"billsec": 1284,
"call_id": 6741,
"calldate": "2018-08-18 19:42:48",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4575,
"info": "value",
"is_root": true,
"live_id": 9878,
"parent_live_id": 1790,
"root_live_id": 2115,
"server_id": 302,
"sip_endpoint_id": 8234,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 886
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/54 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3056,
"billsec": 603,
"call_id": 656,
"calldate": "2021-07-08 12:04:56",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4800,
"info": "value",
"is_root": true,
"live_id": 1459,
"parent_live_id": 6632,
"root_live_id": 3139,
"server_id": 6729,
"sip_endpoint_id": 216,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 3454
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/69.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7983,
"billsec": 3932,
"call_id": 8657,
"calldate": "2023-09-24 15:53:07",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 6871,
"info": "value",
"is_root": true,
"live_id": 4718,
"parent_live_id": 7362,
"root_live_id": 8885,
"server_id": 3326,
"sip_endpoint_id": 9949,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 2465
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/15.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1855,
"billsec": 3167,
"call_id": 4769,
"calldate": "2021-11-29 16:02:30",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 632,
"info": "value",
"is_root": true,
"live_id": 788,
"parent_live_id": 3924,
"root_live_id": 1028,
"server_id": 5358,
"sip_endpoint_id": 2103,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 5425
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9962,
"billsec": 9845,
"call_id": 5484,
"calldate": "2017-01-17 01:59:17",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 2,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 53,
"info": "value",
"is_root": true,
"live_id": 1492,
"parent_live_id": 9860,
"root_live_id": 3358,
"server_id": 1831,
"sip_endpoint_id": 4933,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 4657
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/17/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7277,
"billsec": 8375,
"call_id": 8025,
"calldate": "2024-05-11 05:44:11",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 8616,
"info": "value",
"is_root": true,
"live_id": 4508,
"parent_live_id": 4980,
"root_live_id": 4573,
"server_id": 3375,
"sip_endpoint_id": 7283,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 413
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2018-11-13 14:19:56",
"customer_id": 8399,
"cx_score": 1669,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 1719,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 9108,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 4,
"user_id": 9905,
"voicemessage_id": 192
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 8656,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2017-05-31 06:41:17",
"customer_id": 6528,
"cx_score": 8125,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 4342,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 8237,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 2,
"user_id": 7771,
"voicemessage_id": 5941
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/9 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2018-03-13 09:44:39",
"customer_id": 8379,
"cx_score": 3862,
"dst": "13103345244",
"dst_id": "value",
"dst_name": "value",
"duration": 933,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3288,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 4,
"user_id": 3219,
"voicemessage_id": 4341
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1995,
"call_id": 2462,
"called": "12124537768",
"caller": "44203844711",
"context": "value",
"cx_score": 823,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 4137,
"live_id": 4308,
"sentiment": 0,
"sip_endpoint_id": 4810,
"size": 6058,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2023-12-06 08:49:02",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 1479
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/52 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4583,
"call_id": 1788,
"called": "44203844711",
"caller": "12124537768",
"context": "value",
"cx_score": 778,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 133,
"live_id": 7186,
"sentiment": 0,
"sip_endpoint_id": 1709,
"size": 5696,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2020-02-04 12:22:38",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 402
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/28.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2222,
"call_id": 3767,
"called": "44203846719",
"caller": "44203844711",
"context": "value",
"cx_score": 8174,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 7021,
"live_id": 8024,
"sentiment": 1,
"sip_endpoint_id": 8995,
"size": 5136,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2019-05-15 18:11:43",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 2497
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/97,164,493 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5320,
"call_id": "value",
"created_at": "2021-04-04 18:28:08",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 690,
"media_session_id": 5557,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 4456
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/37 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4891,
"call_id": "value",
"created_at": "2025-06-03 12:57:48",
"dst": "44203844711",
"dst_id": "value",
"dst_ua": "value",
"duration": 5482,
"media_session_id": 5787,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 5815
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/67.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6829,
"call_id": "value",
"created_at": "2026-03-29 00:42:20",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 5470,
"media_session_id": 6661,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 7369
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/23.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7825,
"call_id": "value",
"created_at": "2019-08-01 11:08:17",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 7533,
"media_session_id": 7766,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 1884
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2876,
"call_id": "value",
"created_at": "2024-04-02 03:20:55",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 3329,
"media_session_id": 489,
"src": "13103345244",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 6832
}
],
"total": 59
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4053,
"caller": "12124537768",
"callerid": "32179243705",
"dialled": "44203846719",
"duration": 5104,
"extension_id": 4319,
"folder": 2,
"is_new": true,
"live_id": 750,
"origtime": "2019-09-21 19:04:38",
"parent_live_id": 9215,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 154,
"folder": "abcd"
},
{
"id": 9793,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8431,
"caller": "32179243705",
"callerid": "44203846719",
"dialled": "44203846719",
"duration": 5011,
"extension_id": 1618,
"folder": 1,
"is_new": true,
"live_id": 2059,
"origtime": "2018-09-25 21:29:21",
"parent_live_id": 4279,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/13 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7146,
"caller": "44203846719",
"callerid": "44203846719",
"dialled": "44203846719",
"duration": 2590,
"extension_id": 8949,
"folder": 2,
"is_new": true,
"live_id": 7716,
"origtime": "2024-09-17 07:00:09",
"parent_live_id": 3884,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/41.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8718,
"caller": "44203844711",
"callerid": "12124537768",
"dialled": "44203846719",
"duration": 8246,
"extension_id": 7626,
"folder": 1,
"is_new": true,
"live_id": 3325,
"origtime": "2023-09-09 01:07:50",
"parent_live_id": 6504,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/74,114,412 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 760,
"created_at": "2024-09-06 09:30:38",
"from": "32179243705",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "13103345244",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 6927
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9707,
"billsec": 7481,
"call_id": 8836,
"calldate": "2020-04-23 20:44:56",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 9308,
"info": "value",
"is_root": true,
"live_id": 8402,
"parent_live_id": 6443,
"root_live_id": 9804,
"server_id": 7346,
"sip_endpoint_id": 2426,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 3840
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/68/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 380,
"active": true,
"created_at": "value",
"customer": 151,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"roles": "value",
"status": 1,
"two_factor_auth": 1,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7114,
"call_id": "value",
"created_at": "2020-01-20 08:10:25",
"dst_id": "value",
"dst_ua": "value",
"duration": 7121,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2020-01-20 08:11:57",
"user": 8501
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |